$(document).on('click','form .NextGameElement',function(){
     var Group = $(this).closest('.ChooseElement');
     $( Group ).slideUp();
     $( Group ).next().slideDown();
});

$(document).on('change','.selectionrang',function(){

    var Wartosc = $(this).val();    
    var GameHandler = $(this).closest('.ChooseElement');
    
    if( $(window).width() < 979 )
    {
        var ElementA_0 = {
            width: '120px',
            padding: '40px 0px',
            fontSize: '14px'
        };

        var ElementB_0 = {
            width: '60px',
            padding: '10px 0px',
            fontSize: '10px'
        };


        var ElementA_1 = {
            width: '100px',
            padding: '30px 0px',
            fontSize: '12px'
        };
        

        var ElementB_1 = { 
            width:'70px',
            padding: '15px 0px',
            fontSize: '10px'
        };

        var ElementA_2 = { 
            width:'80px',
            padding: '25px 0px',
            fontSize: '10px'
        };
        
        var ElementB_2 = { 
            width:'80px',
            padding: '25px 0px',
            fontSize: '10px'
        };
        
        var ElementA_3 = { 
            width:'70px',
            padding: '15px 0px',
            fontSize: '10px'
        };
        
        var ElementB_3 = { 
            width:'100px',
            padding: '30px 0px',
            fontSize: '12px'
        };
        
        var ElementA_4 = { 
            width:'60px',
            padding: '10px 0px',
            fontSize: '10px'
        };
        
        var ElementB_4 = { 
            width:'120px',
            padding: '40px 0px',
            fontSize: '14px'
        };
    } 
    else 
    {
        var ElementA_0 = { 
            width:'450px',
            padding: '80px 0px',
            fontSize: '28px',
        };
        
        var ElementB_0 = { 
            width:'250px',
            padding: '40px 0px',
            fontSize: '14px'
        };

        var ElementA_1 = { 
            width:'350px',
            padding: '70px 0px',
            fontSize: '21px'
        };
        
        var ElementB_1 = { 
            width:'200px',
            padding: '50px 0px' 
        };  



        var ElementA_2 = { 
            width:'250px',
            padding: '60px 0px',
            fontSize: '14px'
        };
        
        var ElementB_2 = { 
            width:'250px',
            padding: '60px 0px',
            fontSize: '14px'
        };   
        
        
        
        var ElementA_3 = { 
            width:'200px',
            padding: '50px 0px',
            fontSize: '14px'
        };
        
        var ElementB_3 = { 
            width:'350px',
            padding: '70px 0px',
            fontSize: '21px'
        };
        
        var ElementA_4 = { 
            width:'150px',
            padding: '40px 0px',
            fontSize: '14px'
        };
        
        var ElementB_4 = { 
            width:'450px',
            padding: '80px 0px',
            fontSize: '28px'
        };
    }
    
    switch( Wartosc )
    {
        case '0':
            $('.ElementA',GameHandler).animate( ElementA_0 );
            $('.ElementB',GameHandler).animate( ElementB_0 );
            
            $('.ElementA input',GameHandler).val(2);
            $('.ElementB input',GameHandler).val(0);
        break;
        
        case '1':
            $('.ElementA',GameHandler).animate( ElementA_1 );
            $('.ElementB',GameHandler).animate( ElementB_1 );
            
            $('.ElementA input',GameHandler).val(1);
            $('.ElementB input',GameHandler).val(0);
        break;
        
        case '2':
            $('.ElementA',GameHandler).animate( ElementA_2 );
            $('.ElementB',GameHandler).animate( ElementB_2 );
            
            $('.ElementA input',GameHandler).val(0);
            $('.ElementB input',GameHandler).val(0);
        break;
        
        case '3':
            $('.ElementA',GameHandler).animate( ElementA_3 );
            $('.ElementB',GameHandler).animate( ElementB_3 );
            
            $('.ElementA input',GameHandler).val(0);
            $('.ElementB input',GameHandler).val(1);
        break;
        
        case '4':
            $('.ElementA',GameHandler).animate( ElementA_4 );
            $('.ElementB',GameHandler).animate( ElementB_4 );
            
            $('.ElementA input',GameHandler).val(0);
            $('.ElementB input',GameHandler).val(2);
        break;
    }
    
});